Invoices
Invoices are statements of amounts payed for by a customer. They consist of multiple Invoice Items and are usually created when a Transaction completes.
The invoice object
The invoice of the transaction
Required attributes
- Name
_id- Type
- string
- Description
The ID of the invoice.
- Name
sellerId- Type
- string
- Description
The ID of the seller associated with the invoice.
- Name
counter- Type
- number float
- Description
The counter used to create no.
- Name
no- Type
- string
- Description
A unique number for the invoice consisting of the creation date and an increasing counter.
- Name
items- Type
- array<object>
- Description
An array of invoice items.
Required nested attributes (5)
- Name
amount- Type
- number float
- Description
The quantity of the invoice item. Negative on cancellation invoices.
- Name
total- Type
- number float
- Description
The total of the invoice item. Negative on cancellation invoices and for discounts and vouchers.
- Name
regularTotal- Type
- number float
- Description
The non-discounted total of the invoice item.
- Name
includedTax- Type
- number float
- Description
The total of taxes included in the invoice item.
- Name
taxRate- Type
- number float
- Description
The tax rate applied on the invoice item, as a fraction (0.19 = 19%).
Optional nested attributes (5)
- Name
type- Type
- enum(product, ticket, fulfillment, outerCharge, discount, voucher, bundle, additionalFee, insurance)
- Description
The type of the invoice item.
- Name
title- Type
- string
- Description
The title of the invoice item.
- Name
taxRates- Type
- array<number>
- Description
All tax rates applied on the invoice item.
- Name
taxItems- Type
- array<object>
- Description
The tax items of the invoice item.
Required nested attributes (3)
- Name
rate- Type
- number float
- Description
- Name
perUnit- Type
- number float
- Description
- Name
total- Type
- number float
- Description
Optional nested attributes (6)
- Name
name- Type
- string
- Description
- Name
taxTypeId- Type
- string
- Description
- Name
netTotal- Type
- number float
- Description
- Name
netPerUnit- Type
- number float
- Description
- Name
taxPayableAccountId- Type
- string
- Description
- Name
taxPayableAccountCode- Type
- string
- Description
- Name
localization- Type
- object
- Description
Localized item values per language code, e.g. {"de": {"title": "..."}}.
- Name
currency- Type
- enum(EUR, USD, GBP, AUD, CHF, THB, ILS, COP, MXN, DKK, NOK, SEK, QAR, CAD, ISK, GTQ, INR, DOP, SGD, PLN, SAR, TTD, ZAR, KYD, HKD, CZK, KRW, JPY, NZD, AED, MAD, TWD, BRL, BWP, NAD, KES, SCR, TRY, SZL, LSL, TZS, UGX, ZMW, ZWG, GHS, NGN, SLE, LRD, XOF, XAF, GEL, IDR, ARS, CRC, HUF, EGP, MYR, VND, PHP, MWK)
- Description
An ISO 4217 3-character code of the currency.
Optional attributes
- Name
type- Type
- enum(invoice, cancellation)
- Description
The type of the invoice. A cancellation invoice negates its reference invoice with mirrored negative amounts.
- Name
recipient- Type
- object
- Description
Information on the recipient. Missing on legacy invoices, where it derives from the transaction.
Required nested attributes (1)
- Name
name- Type
- string
- Description
The name of the recipient.
Optional nested attributes (4)
- Name
company- Type
- string
- Description
The company name of the recipient.
- Name
firstname- Type
- string
- Description
The first name of the recipient.
- Name
lastname- Type
- string
- Description
The last name of the recipient.
- Name
address- Type
- object
- Description
The address of the recipient.
Optional nested attributes (7)
- Name
fullAddress- Type
- string
- Description
Optional full address
- Name
street- Type
- string
- Description
The street of the address. Street name including number.
- Name
line2- Type
- string
- Description
The additional field of the address.
- Name
postal- Type
- string
- Description
The postal code of the address.
- Name
city- Type
- string
- Description
The city of the address.
- Name
country- Type
- string
- Description
The country of the address. An ISO 3166 country code.
- Name
state- Type
- string
- Description
The state of the address. If applicable
- Name
transactionId- Type
- string
- Description
The ID of the transaction the invoice originated from.
- Name
customerId- Type
- string
- Description
The ID of the customer associated with the invoice.
- Name
cancellationId- Type
- string
- Description
The ID of the associated cancellation.
- Name
cancellationReason- Type
- enum(REQUESTED_BY_CUSTOMER, CLAIM, COMMUNICATION_ERROR, TRAINING/TEST)
- Description
The reason of the cancellation.
- Name
refundTarget- Type
- enum(origin, voucher, customer_balance)
- Description
Where the cancelled amount was refunded to.
- Name
components- Type
- array<object>
- Description
An array of exposed price components.
Optional nested attributes (2)
- Name
name- Type
- string
- Description
- Name
total- Type
- number float
- Description
- Name
total- Type
- number float
- Description
The invoice total after discounts and taxes.
- Name
discountSum- Type
- number float
- Description
The total of all discounts applied.
- Name
detailsPerRate- Type
- array<object>
- Description
The tax details grouped by tax rates.
Required nested attributes (3)
- Name
taxRate- Type
- number float
- Description
The applied tax rate, as a fraction (0.19 = 19%).
- Name
includedTax- Type
- number float
- Description
The total of taxes associated with the tax rate.
- Name
reducedTax- Type
- number float
- Description
The tax reduction through applied discounts.
- Name
taxItems- Type
- array<object>
- Description
An array of tax items.
Required nested attributes (3)
- Name
rate- Type
- number float
- Description
- Name
perUnit- Type
- number float
- Description
- Name
total- Type
- number float
- Description
Optional nested attributes (6)
- Name
name- Type
- string
- Description
- Name
taxTypeId- Type
- string
- Description
- Name
netTotal- Type
- number float
- Description
- Name
netPerUnit- Type
- number float
- Description
- Name
taxPayableAccountId- Type
- string
- Description
- Name
taxPayableAccountCode- Type
- string
- Description
- Name
includedTax- Type
- number float
- Description
The total of all taxes included.
- Name
taxRate- Type
- number float
- Description
The default tax rate applied on items, as a fraction (0.19 = 19%).
- Name
includedOuterChargeTax- Type
- number float
- Description
The total of all taxes on included outer charges.
- Name
outerChargeTaxRate- Type
- number float
- Description
The tax rate applied on outer charges, as a fraction (0.19 = 19%).
- Name
origin- Type
- enum(onlinesale, pos)
- Description
Whether the invoice has been created through an online or offline transaction.
- Name
extraFields- Type
- object
- Description
The extra fields of the invoice.
- Name
identification- Type
- array<LegalIdentificationDocumentResource>
- Description
The legal identification documents of the recipient captured at checkout, e.g. the French SIREN of a business buyer.
One of — Only one of the following typesRequired attributes
- Name
type- Type
- enum(france_siren)
- Description
- Name
identifier- Type
- string
- Description
- Name
splits- Type
- array<object>
- Description
How the invoice total was covered, e.g. by deposits, vouchers, customer balance or payments.
Required nested attributes (2)
- Name
type- Type
- enum(deposit, voucher, payment, balance)
- Description
- Name
amount- Type
- number float
- Description
Optional nested attributes (5)
- Name
reference- Type
- string
- Description
- Name
voucherId- Type
- string
- Description
- Name
method- Type
- string
- Description
- Name
gateway- Type
- string
- Description
- Name
gatewayId- Type
- string
- Description
- Name
seller- Type
- object
- Description
The seller information persisted with the invoice.
Optional nested attributes (3)
- Name
taxId- Type
- string
- Description
- Name
name- Type
- string
- Description
- Name
address- Type
- object
- Description
Optional nested attributes (7)
- Name
fullAddress- Type
- string
- Description
Optional full address
- Name
street- Type
- string
- Description
The street of the address. Street name including number.
- Name
line2- Type
- string
- Description
The additional field of the address.
- Name
postal- Type
- string
- Description
The postal code of the address.
- Name
city- Type
- string
- Description
The city of the address.
- Name
country- Type
- string
- Description
The country of the address. An ISO 3166 country code.
- Name
state- Type
- string
- Description
The state of the address. If applicable
- Name
posInfo- Type
- object
- Description
POS information of the invoice.
Required nested attributes (4)
- Name
posId- Type
- string
- Description
- Name
no- Type
- string
- Description
- Name
sessionId- Type
- string
- Description
- Name
billingNo- Type
- string
- Description
Optional nested attributes (5)
- Name
referenceInvoiceNo- Type
- string
- Description
- Name
taxId- Type
- string
- Description
- Name
paymentMethod- Type
- string
- Description
- Name
canceledAt- Type
- string date-time
- Description
- Name
cancellationNo- Type
- string
- Description
- Name
external- Type
- object
- Description
Externally hosted documents replacing the generated invoice PDF.
Optional nested attributes (2)
- Name
documentUrl- Type
- string
- Description
The externally hosted invoice document. An empty external object means the synchronization failed.
- Name
additionalDocumentUrl- Type
- string
- Description
An additional externally hosted document for the invoice.
- Name
secret- Type
- string
- Description
The secret of the invoice.
- Name
referenceInvoiceId- Type
- string
- Description
The ID of the invoice this invoice references, e.g. the negated invoice for a cancellation invoice.
- Name
footerText- Type
- array<string>
- Description
The custom footer columns of the invoice.
- Name
createdAt- Type
- string date-time
- Description
An ISO Timestamp indicating when the invoice was created.
- Name
updatedAt- Type
- string date-time
- Description
An ISO Timestamp indicating when the invoice was last updated.
Example
{
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
}Create Invoice for Transaction
Create Invoice for Transaction
Payload
Required attributes
- Name
transactionId- Type
- string
- Description
The ID of the transaction.
Request
const response = await fetch('https://vivenu.com/api/invoices', {
method: 'POST',
headers: {
Authorization: 'Bearer {token}',
'Content-Type': 'application/json',
},
body: JSON.stringify( {
"transactionId": "507f191e810c19729de860ea"
}),
})
const data = await response.json()Response (201)
{
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
}Get an Invoice
Get an Invoice
Request
const response = await fetch('https://vivenu.com/api/invoices/507f191e810c19729de860ea', {
method: 'GET',
headers: {
Authorization: 'Bearer {token}',
},
})
const data = await response.json()Response (200)
{
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
}Update an Invoice
Update an Invoice
Payload
Required attributes
- Name
mode- Type
- enum(update, reissue)
- Description
The mode for editing the invoice
Optional attributes
- Name
recipient- Type
- object
- Description
Information on the recipient of the invoice.
Required nested attributes (1)
- Name
name- Type
- string
- Description
The name of the recipient.
Optional nested attributes (4)
- Name
company- Type
- string
- Description
The company name of the recipient.
- Name
firstname- Type
- string
- Description
The first name of the recipient.
- Name
lastname- Type
- string
- Description
The last name of the recipient.
- Name
address- Type
- object
- Description
The address of the recipient.
Optional nested attributes (7)
- Name
fullAddress- Type
- string
- Description
Optional full address
- Name
street- Type
- string
- Description
The street of the address. Street name including number.
- Name
line2- Type
- string
- Description
The additional field of the address.
- Name
postal- Type
- string
- Description
The postal code of the address.
- Name
city- Type
- string
- Description
The city of the address.
- Name
country- Type
- string
- Description
The country of the address. An ISO 3166 country code.
- Name
state- Type
- string
- Description
The state of the address. If applicable
- Name
extraFields- Type
- object
- Description
The extra fields of the invoice.
Request
const response = await fetch('https://vivenu.com/api/invoices/507f191e810c19729de860ea', {
method: 'PUT',
headers: {
Authorization: 'Bearer {token}',
'Content-Type': 'application/json',
},
body: JSON.stringify( {
"mode": "update",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"extraFields": {}
}),
})
const data = await response.json()Response (200)
{
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
}Get All Invoices
Get All Invoices
Query parameters
Optional query parameters
- Name
top- Type
- number float
- Description
A limit on the number of objects to be returned. Can range between 1 and 1000.
- Name
skip- Type
- number float
- Description
The number of objects to skip for the requested result
- Name
transactionId- Type
- string
- Description
The ID of the transaction the invoice was created for.
- Name
no- Type
- string
- Description
The invoice number to filter for.
- Name
createdAt- Type
- object
- Description
The range of dates indicating when the invoice was created in ISO format.
Optional nested attributes (6)
- Name
$gt- Type
- string date-time
- Description
value is greater than
- Name
$gte- Type
- string date-time
- Description
value is greater than or equal
- Name
$lt- Type
- string date-time
- Description
value is less than
- Name
$lte- Type
- string date-time
- Description
value is less than or equal
- Name
$eq- Type
- string date-time
- Description
value is equal
- Name
$ne- Type
- string date-time
- Description
value is not equal
- Name
type- Type
- array<enum(invoice, cancellation)>
- Description
The invoice type to filter for.
Request
const response = await fetch('https://vivenu.com/api/invoices?top=10.5&skip=10.5&transactionId=507f191e810c19729de860ea&no=value&createdAt=value&type=value1%2Cvalue2', {
method: 'GET',
headers: {
Authorization: 'Bearer {token}',
},
})
const data = await response.json()Response (200)
{
"rows": [
{
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
}
],
"total": 1
}Get Public Invoice for Transaction
Get Public Invoice for Transaction
Query parameters
Required query parameters
- Name
transactionId- Type
- string
- Description
The ID of the transaction.
- Name
secret- Type
- string
- Description
The secret of the transaction.
Optional query parameters
- Name
latest- Type
- boolean
- Description
Request
const response = await fetch('https://vivenu.com/api/public/invoices/info?transactionId=507f191e810c19729de860ea&secret=4b5fb736-45fd-4895-b497-124a2360c7e6&latest=true', {
method: 'GET',
headers: {
Authorization: 'Bearer {token}',
},
})
const data = await response.json()Response (200)
{
"timezone": "Europe/Amsterdam",
"trans": {
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"eventId": "507f191e810c19729de860ea",
"realPrice": 10.5,
"status": "NEW",
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"customerId": "507f191e810c19729de860ea",
"company": "vivenu GmbH",
"name": "Some fancy Name",
"prename": "John",
"lastname": "Robot",
"email": "random@mail.com",
"street": "Speditionsstr",
"line2": "string",
"city": "Düsseldorf",
"state": "string",
"country": "DE",
"postal": "40221",
"deliveryAddress": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string",
"name": "Some fancy Name"
},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"tickets": [
{
"amount": 1,
"price": 10.5,
"ticketTypeId": "507f191e810c19729de860ea",
"type": "ticket",
"_id": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"netPrice": 10.5,
"taxRate": 10.5,
"triggeredBy": "string",
"bundleInfo": {
"bundleId": "507f191e810c19729de860ea",
"componentId": "507f191e810c19729de860ea",
"optionId": "507f191e810c19729de860ea"
},
"categoryRef": "string",
"seatingInfo": {
"_type": 6,
"statusId": "507f191e810c19729de860ea",
"_id": "507f191e810c19729de860ea",
"categoryId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"seatType": "handicapped",
"sectionName": "string",
"groupName": "string",
"rowName": "string",
"seatName": "string",
"gate": "string"
},
"slotInfo": {
"slotId": "507f191e810c19729de860ea",
"slotStartTime": "string"
},
"asHardTicket": true,
"listingId": "507f191e810c19729de860ea",
"listingItemId": "507f191e810c19729de860ea",
"triggeredAutomations": true,
"meta": {},
"addOns": [
{
"productId": "507f191e810c19729de860ea",
"productVariantId": "507f191e810c19729de860ea",
"name": "Some fancy Name"
}
],
"capabilities": [
{
"type": "self_service_return",
"settings": {
"phases": [
{
"condition": {
"unit": "hours",
"offset": 1,
"target": "string"
},
"refundPercentage": 10.5
}
],
"returnRelatedItems": true
}
}
],
"taxInfo": {
"serviceTypeId": "507f191e810c19729de860ea",
"exceptionId": "507f191e810c19729de860ea",
"proceedsAccountId": "507f191e810c19729de860ea",
"proceedsAccountCode": "string",
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
]
}
}
],
"products": [
{
"type": "product",
"amount": 1,
"price": 10.5,
"productVariantId": "507f191e810c19729de860ea",
"_id": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"netPrice": 10.5,
"taxRate": 10.5,
"triggeredBy": "string",
"bundleInfo": {
"bundleId": "507f191e810c19729de860ea",
"componentId": "507f191e810c19729de860ea",
"optionId": "507f191e810c19729de860ea"
},
"isFulfillable": true,
"taxInfo": {
"serviceTypeId": "507f191e810c19729de860ea",
"exceptionId": "507f191e810c19729de860ea",
"proceedsAccountId": "507f191e810c19729de860ea",
"proceedsAccountCode": "string",
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
]
}
}
],
"additionalItems": [
{
"itemId": "507f191e810c19729de860ea",
"type": "bundle",
"netPrice": 10.5,
"price": 10.5,
"taxRate": 10.5,
"taxInfo": {
"serviceTypeId": "507f191e810c19729de860ea",
"exceptionId": "507f191e810c19729de860ea",
"proceedsAccountId": "507f191e810c19729de860ea",
"proceedsAccountCode": "string",
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
]
},
"data": {
"bundleId": "507f191e810c19729de860ea"
}
}
],
"currency": "EUR",
"regularPrice": 10.5,
"paymentCharge": 10.5,
"innerCharge": 10.5,
"outerCharge": 10.5,
"innerFeeComponents": {
"_id": "507f191e810c19729de860ea",
"fix": [
{
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
}
],
"var": [
{
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
}
]
},
"outerFeeComponents": {
"_id": "507f191e810c19729de860ea",
"fix": [
{
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
}
],
"var": [
{
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
}
]
},
"cancellationFee": {
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
},
"cancellationInfo": {
"cancellableItems": [
{
"cartItemId": "507f191e810c19729de860ea",
"type": "ticket",
"price": 10.5,
"name": "Some fancy Name",
"taxRate": 10.5,
"origin": {
"fee": {
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
}
},
"cancellationFee": {
"_id": "507f191e810c19729de860ea",
"amount": 10.5,
"value": 10.5,
"total": 10.5,
"type": "onTicket",
"name": "Some fancy Name",
"publicName": "string",
"exposed": true,
"scheme": {
"schemeId": "507f191e810c19729de860ea",
"feeId": "507f191e810c19729de860ea"
}
},
"refundId": "507f191e810c19729de860ea",
"cancelledAt": "2030-01-23T23:00:00.123Z"
}
],
"refundableByTarget": {}
},
"taxRate": 0.19,
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z",
"psp": "string",
"paymentMethod": "paypal",
"paymentInfo": {
"_id": "507f191e810c19729de860ea",
"psp": "string",
"gateway": "managed",
"providerType": "vivenu",
"providerId": "507f191e810c19729de860ea",
"method": "string",
"methodVariant": "string",
"locale": "string",
"riskLevel": "string",
"riskScore": 10.5,
"refundId": "507f191e810c19729de860ea",
"collectedApplicationFee": 10.5
},
"paymentStatus": "AWAITING",
"origin": "yourticket",
"subscriptionId": "507f191e810c19729de860ea",
"userId": "507f191e810c19729de860ea",
"posId": "507f191e810c19729de860ea",
"posInfo": {
"_id": "507f191e810c19729de860ea",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "2030-01-23T23:00:00.123Z"
},
"history": [
{
"_id": "507f191e810c19729de860ea",
"date": "2030-01-23T23:00:00.123Z",
"title": "string",
"message": "string",
"type": "YOURTICKET",
"risk": "NEUTRAL"
}
],
"historyEntries": [
{
"_id": "507f191e810c19729de860ea",
"date": "2030-01-23T23:00:00.123Z",
"userId": "507f191e810c19729de860ea",
"data": {},
"type": "created",
"risk": "NEUTRAL"
}
],
"ticketMailSend": true,
"orderMailSend": true,
"extraFields": {},
"channel": "string",
"underShop": "string",
"userAgent": {
"_id": "507f191e810c19729de860ea",
"ua": "string",
"browser": {},
"device": {},
"engine": {},
"os": {},
"cpu": {}
},
"ipLookup": {
"ip": "string",
"lookup": {
"range": [
10.5
],
"country": "DE",
"region": "string",
"eu": "string",
"timezone": "string",
"city": "Düsseldorf",
"ll": [
10.5
],
"metro": 10.5,
"area": 10.5
}
},
"locationCenter": [
10.5
],
"vouchers": [
"string"
],
"redeemedVouchers": {
"totalRedeemedAmount": 10.5,
"vouchers": [
{
"code": "string",
"redeemedAmount": 10.5,
"_id": "507f191e810c19729de860ea"
}
]
},
"appliedCoupons": [
{
"_id": "507f191e810c19729de860ea",
"code": "string"
}
],
"appliedDiscountGroups": [
"string"
],
"posDiscounts": [
{
"_id": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"value": 10.5,
"discountType": "fix"
}
],
"preferredLanguage": "de",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"appliedDiscountInfo": {
"items": [
{
"_id": "507f191e810c19729de860ea",
"itemId": "507f191e810c19729de860ea",
"amount": 10.5,
"regularPrice": 10.5,
"price": 10.5,
"varDiscounts": [
{
"_id": "507f191e810c19729de860ea",
"type": "fix",
"discountId": "507f191e810c19729de860ea",
"category": "coupon",
"name": "Some fancy Name",
"value": 10.5,
"allowedItems": [
"string"
]
}
],
"fixDiscounts": [
{
"_id": "507f191e810c19729de860ea",
"type": "fix",
"discountId": "507f191e810c19729de860ea",
"category": "coupon",
"name": "Some fancy Name",
"value": 10.5,
"allowedItems": [
"string"
]
}
]
}
],
"discounts": [
{
"_id": "507f191e810c19729de860ea",
"type": "fix",
"discountId": "507f191e810c19729de860ea",
"category": "coupon",
"name": "Some fancy Name",
"value": 10.5,
"allowedItems": [
"string"
],
"maxItemsInCart": 10.5,
"maxAbsoluteValue": 10.5,
"absoluteDiscountValue": 10.5
}
]
},
"invoiceVersion": "v2",
"seatingReservationToken": "string"
},
"invoice": {
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
},
"referenceInvoice": {
"_id": "507f191e810c19729de860ea",
"sellerId": "507f191e810c19729de860ea",
"counter": 10.5,
"no": "string",
"items": [
{
"amount": 10.5,
"total": 10.5,
"regularTotal": 10.5,
"includedTax": 10.5,
"taxRate": 10.5,
"type": "product",
"title": "string",
"taxRates": [
10.5
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"localization": {}
}
],
"currency": "EUR",
"type": "invoice",
"recipient": {
"name": "Some fancy Name",
"company": "vivenu GmbH",
"firstname": "string",
"lastname": "Robot",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"transactionId": "507f191e810c19729de860ea",
"customerId": "507f191e810c19729de860ea",
"cancellationId": "507f191e810c19729de860ea",
"cancellationReason": "REQUESTED_BY_CUSTOMER",
"refundTarget": "origin",
"components": [
{
"name": "Some fancy Name",
"total": 10.5
}
],
"total": 10.5,
"discountSum": 10.5,
"detailsPerRate": [
{
"taxRate": 10.5,
"includedTax": 10.5,
"reducedTax": 10.5
}
],
"taxItems": [
{
"rate": 10.5,
"perUnit": 10.5,
"total": 10.5,
"name": "Some fancy Name",
"taxTypeId": "507f191e810c19729de860ea",
"netTotal": 10.5,
"netPerUnit": 10.5,
"taxPayableAccountId": "507f191e810c19729de860ea",
"taxPayableAccountCode": "string"
}
],
"includedTax": 10.5,
"taxRate": 10.5,
"includedOuterChargeTax": 10.5,
"outerChargeTaxRate": 10.5,
"origin": "onlinesale",
"extraFields": {},
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"splits": [
{
"type": "deposit",
"amount": 10.5,
"reference": "string",
"voucherId": "507f191e810c19729de860ea",
"method": "string",
"gateway": "string",
"gatewayId": "507f191e810c19729de860ea"
}
],
"seller": {
"taxId": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"address": {
"fullAddress": "string",
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"country": "DE",
"state": "string"
}
},
"posInfo": {
"posId": "507f191e810c19729de860ea",
"no": "string",
"sessionId": "507f191e810c19729de860ea",
"billingNo": "string",
"referenceInvoiceNo": "string",
"taxId": "507f191e810c19729de860ea",
"paymentMethod": "string",
"canceledAt": "2030-01-23T23:00:00.123Z",
"cancellationNo": "string"
},
"external": {
"documentUrl": "string",
"additionalDocumentUrl": "string"
},
"secret": "4b5fb736-45fd-4895-b497-124a2360c7e6",
"referenceInvoiceId": "507f191e810c19729de860ea",
"footerText": [
"string"
],
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
},
"seller": {
"_id": "507f191e810c19729de860ea",
"name": "Some fancy Name",
"image": "https://your-url/image.png",
"city": "Düsseldorf",
"documentSettings": {
"image": "https://your-url/image.png",
"invoice": {
"footerColumns": [
{
"text": "string",
"active": true
}
]
}
},
"street": "Speditionsstr",
"postal": "40221",
"locationName": "Some fancy Name",
"country": "DE",
"taxRate": 0.19,
"taxNo": "string",
"localTaxName": "string"
},
"customer": {
"_id": "507f191e810c19729de860ea",
"primaryEmail": "random@mail.com",
"company": "vivenu GmbH",
"name": "Some fancy Name",
"prename": "John",
"lastname": "Robot",
"image": "https://your-url/image.png",
"number": 10.5,
"phone": "string",
"location": {
"street": "Speditionsstr",
"line2": "string",
"postal": "40221",
"city": "Düsseldorf",
"locale": "string",
"state": "string",
"center": [
10.5
],
"country": "DE"
},
"sellerId": "507f191e810c19729de860ea",
"notes": "string",
"extraFields": {},
"tags": [
"string"
],
"segments": [
"string"
],
"blocked": true,
"verified": true,
"identification": [
{
"type": "france_siren",
"identifier": "string"
}
],
"_account": {
"verificationToken": "string",
"passwordResetToken": "string",
"limitations": {
"nextVerificationMailRequest": "2030-01-23T23:00:00.123Z"
},
"loginType": "password"
},
"meta": {},
"externalId": "507f191e810c19729de860ea",
"createdAt": "2030-01-23T23:00:00.123Z",
"updatedAt": "2030-01-23T23:00:00.123Z"
},
"customPaymentMethod": []
}